Package com.pixelmed.dose

## Enum RecordingDeviceObserverContext.Key

- java.lang.Object
- - java.lang.Enum<RecordingDeviceObserverContext.Key>
  - - com.pixelmed.dose.RecordingDeviceObserverContext.Key

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RecordingDeviceObserverContext.Key>`
  Enclosing class:
    RecordingDeviceObserverContext

      public static enum RecordingDeviceObserverContext.Key
      extends java.lang.Enum<RecordingDeviceObserverContext.Key>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEVICE` |
    `LOCATION` |
    `MANUFACTURER` |
    `MODEL_NAME` |
    `NAME` |
    `SERIAL_NUMBER` |
    `UID` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RecordingDeviceObserverContext.Key` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RecordingDeviceObserverContext.Key[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEVICE

          public static final RecordingDeviceObserverContext.Key DEVICE

    - #### UID

          public static final RecordingDeviceObserverContext.Key UID

    - #### NAME

          public static final RecordingDeviceObserverContext.Key NAME

    - #### MANUFACTURER

          public static final RecordingDeviceObserverContext.Key MANUFACTURER

    - #### MODEL_NAME

          public static final RecordingDeviceObserverContext.Key MODEL_NAME

    - #### SERIAL_NUMBER

          public static final RecordingDeviceObserverContext.Key SERIAL_NUMBER

    - #### LOCATION

          public static final RecordingDeviceObserverContext.Key LOCATION

  - ### Method Detail

    - #### values

          public static RecordingDeviceObserverContext.Key[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecordingDeviceObserverContext.Key c : RecordingDeviceObserverContext.Key.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecordingDeviceObserverContext.Key valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null